Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.util

# Enum Class PluginLoader.ClassSource

java.lang.Object
java.lang.Enum<PluginLoader.ClassSource>
org.firebirdsql.jaybird.util.PluginLoader.ClassSource

All Implemented Interfaces:
  `Serializable`, `Comparable<PluginLoader.ClassSource>`, `Constable`

Enclosing class:
  PluginLoader

public static enum PluginLoader.ClassSource extends Enum<PluginLoader.ClassSource>
Sources for loading classes (determines which class loaders to use)

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONTEXT_CLASS_LOADER`
`PLUGIN_CLASS_LOADER`

## Method Summary

Modifier and Type
Method
Description
`static PluginLoader.ClassSource`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PluginLoader.ClassSource[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PLUGIN_CLASS_LOADER

public static final PluginLoader.ClassSource PLUGIN_CLASS_LOADER

### CONTEXT_CLASS_LOADER

public static final PluginLoader.ClassSource CONTEXT_CLASS_LOADER

## Method Details

### values

public static PluginLoader.ClassSource[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PluginLoader.ClassSource valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null